<template>
  <b-container>
    <etapes></etapes>
    <div class="recap-caddie">
      <div class="row">
        <div class="col-xl-9 p-md-5">
          <div class="alert alert-danger" role="alert" v-if="cartStore.nbArticles == 0"><strong>Votre panier est vide !! </strong></div>
          <tableau-panier v-if="cartStore.nbArticles > 0"></tableau-panier>
          <!-- Commenté temporairement -->

          <connexion v-if="!clientStore.isAuthenticated && cartStore.nbArticles > 0" pageReturn="panier"></connexion>
          <!-- <inscription></inscription> -->

          <livraison v-if="clientStore.isAuthenticated && cartStore.nbArticles > 0"></livraison>
          <paiement v-if="clientStore.isAuthenticated && cartStore.nbArticles > 0"></paiement>
        </div>
        <recapitulatif v-if="cartStore.nbArticles > 0 && cartStore.nbArticles > 0"></recapitulatif>
      </div>
    </div>

    <!-- <compte-client></compte-client> -->
  </b-container>
</template>
<script>
import recapitulatif from "@/components/AppPanier/recap.vue";
import etapes from "@/components/AppPanier/etapes.vue";
import tableauPanier from "@/components/AppPanier/tableau.vue";
import connexion from "@/components/AppCustomer/connexion.vue";
// import inscription from "@/components/AppCustomer/inscription.vue";
import livraison from "@/components/AppPanier/livraison.vue";
import paiement from "@/components/AppPanier/paiement.vue";
// import compteClient from "@/components/AppCustomer/compte-client.vue";
import { authenticationClientService } from "../../_services/authenticationClient.service";
import { mapState } from "vuex";
export default {
  computed: {
    // récupération infos client
    ...mapState({
      clientStore: state => state.clientStore,
      cartStore: state => state.cartStore
    })
  },
  components: {
    recapitulatif: recapitulatif,
    etapes: etapes,
    connexion: connexion,
    // inscription: inscription,
    livraison: livraison,
    paiement: paiement,
    "tableau-panier": tableauPanier
    // "compte-client": compteClient
  },
  data() {
    return {};
  }
};
</script>
